Groovy 1.7.10

## org.codehaus.groovy.runtime.wrappers
[Java] Class GroovyObjectWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

    public class GroovyObjectWrapper
    extends Wrapper

Authors:
  John Wilson

Field Summary
`protected GroovyObject` | `wrapped`

Fields inherited from class Wrapper
constrainedType, delegatingMetaClass

Constructor Summary
`GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`Object` | `getProperty(String property)`
`protected Object` | `getWrapped()`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Object` | `unwrap()`

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### wrapped

    protected final GroovyObject wrapped

Constructor Detail

### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getProperty

    public Object getProperty(String property)

### getWrapped

    protected Object getWrapped()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### unwrap

    public Object unwrap()

Copyright © 2003-2010 The Codehaus. All rights reserved.